% Attention block
function layers = attentionBlock(numHeads,numKeyChannels,numGroups,name)
layers = [
    groupNormalizationLayer(numGroups,Name="normAttn_"+name)
    SpatialFlattenLayer()
    selfAttentionLayer(numHeads,numKeyChannels)
    SpatialUnflattenLayer()
    additionLayer(2,Name="addAttn_"+name)
    ];
end